Обход ограничений безопасности в Smarty

Дата публикации:
05.03.2008
Всего просмотров:
1622
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Обход ограничений безопасности
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Smarty 2.x
Уязвимые версии: Smarty версии до 2.6.19

Описание:
Уязвимость позволяет удаленному пользователю обойти некоторые ограничения безопасности.

Уязвимость существует из-за ошибки в "regex_replace" модификаторе. Удаленный пользователь может обойти ограничения безопасности шаблона и выполнить произвольный PHP сценарий, используя приложение, которое полагается на функционал безопасности шаблона.

URL производителя: smarty.php.net

Решение: Установите последнюю версию 2.6.19 с сайта производителя.

или введите имя

CAPTCHA